package com.gic.auth.dao.mapper;

import com.gic.auth.entity.TabSysRole;

public interface TabSysRoleMapper {
    /**
     * 根据主键删除
     *
     * @param roleId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer roleId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabSysRole record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabSysRole record);

    /**
     * 根据主键查询
     *
     * @param roleId 主键
     * @return 实体对象
     */
    TabSysRole selectByPrimaryKey(Integer roleId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabSysRole record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabSysRole record);
}